# ParseResults

### Description

Parses the result of a License Server response.

```csharp
bool ParseResults(string results, ref ILicenseInfo licenseInfo, ref string message)
```

### Arguments

| Name         |                           Data Type                          | Description                                         |
| ------------ | :----------------------------------------------------------: | --------------------------------------------------- |
| results      |                            string                            | XML response returned from any License Server call  |
| licenseInfo  | [ILicenseInfo](/docs/api-reference/.net-api/ilicenseinfo.md) | object containing the result of the parse operation |
| errorMessage |                            string                            | an error message if the operation fails.            |

### Return

| Data Type | Description                     |
| :-------: | ------------------------------- |
|    bool   | true if the call was successful |

### Remarks

Most License Server API functions return an XML fragment describing the results of the call. This function parses the results and returns an ILicenseInfo interface describing the results.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/client-side-methods/parseresults.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
